[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#572484: RFH: Movable Type and OpenMelody packaging

Package: wnpp


I'm looking for help, possibly in the form of members of a new alioth
team, to carry on maintaining Movable Type packages in Debian.

Movable Type is a perl-based blogging platform, which has been in
existence for nearly 10 years, first as a proprietary package, and
in recent years as an open source project.

Currently testing has MT 4.3, and stable has MT 4.1.

Upstream have recently released MT 5, which I suspect will best suit
a parallel packaging effort (eg as movabletype-opensource5) to avoid
having a potentially immature package in squeeze, as well as to ease
the lenny->squeeze transition for people not wanting current features.

Upstream are rather unclear about general support for the open source
version of this so we need to be flexible in how we support this 
application in Debian. Based on recent correspondence on the mtos-dev
list, however, it was suggested that MT4.3 would receive bug fixes
and security support for a good while yet.

It's possible that we should use volatile and/or volatile-sloppy
for support of this software (given that upstream don't have clearly
defined stable releases series other than the current latest and

In addition to Movable Type itself, there is a commuity fork of MT4
named OpenMelody which may yet prove to be the best way to support this
platform in Debian in the longer term, but that is not yet ready.

When it does become sufficiently mature to consider packaging, work
will be required there too.

So if anyone would be interested in helping out with this effort,
or have any other comments on the best way to make this software
available to our users, please drop me a line.


Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)

Reply to: